features:
  primary:
    - name: "Operational container scanning"
      available_in: [ultimate]
      gitlab_com: true
      documentation_link: 'https://docs.gitlab.com/ee/user/clusters/agent/vulnerabilities.html'
      image_url: '/images/15_5/secure-operational-vulnerabilities.png'
      reporter: sam.white
      stage: application_security_testing
      categories:
        - 'Container Scanning'
      issue_url: 'https://gitlab.com/groups/gitlab-org/-/epics/3410'
      description: |
        GitLab now officially supports vulnerability scanning of container images in operational or production Kubernetes environments. You can set up scanning either through the [configuration file](https://docs.gitlab.com/ee/user/clusters/agent/vulnerabilities.html#enable-operational-container-scanning) for your GitLab Agent for Kubernetes or by creating a [scan execution policy](https://docs.gitlab.com/ee/user/application_security/policies/scan-execution-policies.html) to require scans to run on a regular cadence.

        Results are displayed both on the project's **Vulnerability Report** page under the **Operational Vulnerabilities** tab and also on the **Infrastructure > Kubernetes clusters > Agent** page under the **Security** tab. To get started, make sure you have installed the [GitLab Agent for Kubernetes](https://docs.gitlab.com/ee/user/clusters/agent/install/index.html) and that a scan cadence is defined either in the [agent configuration file](https://docs.gitlab.com/ee/user/clusters/agent/vulnerabilities.html#enable-cluster-vulnerability-scanning) or in a [scan execution policy](https://docs.gitlab.com/ee/user/application_security/policies/scan-execution-policies.html).
